Bug 1193047 - [abrt] python3-dnf: copr.py:146:run:AttributeError: 'module' object has no attribute 'FancyURLopener'
[abrt] python3-dnf: copr.py:146:run:AttributeError: 'module' object has no at...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9d2299f79a9c5ef4a41550513a7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-16 08:05 EST by Lukas Slebodnik
Modified: 2015-04-21 15:26 EDT (History)
8 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.6-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-21 15:26:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.08 KB, text/plain)
2015-02-16 08:05 EST, Lukas Slebodnik
no flags Details
File: environ (2.28 KB, text/plain)
2015-02-16 08:05 EST, Lukas Slebodnik
no flags Details

  None (edit)
Description Lukas Slebodnik 2015-02-16 08:05:02 EST
Description of problem:
I used dnf-3 with copr plugin.

Version-Release number of selected component:
python3-dnf-0.6.3-2.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python3 -OO /bin/dnf-3 --enablerepo=updates-testing copr search sssd
executable:     /bin/dnf-3
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
copr.py:146:run:AttributeError: 'module' object has no attribute 'FancyURLopener'

Traceback (most recent call last):
  File "/bin/dnf-3", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 182, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 134, in _main
    cli.run()
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 1059, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python3.4/site-packages/dnf-plugins/copr.py", line 146, in run
    opener = urllib.FancyURLopener({})
AttributeError: 'module' object has no attribute 'FancyURLopener'

Local variables in innermost frame:
project_name: 'sssd'
api_path: '/api/coprs/search/sssd/'
subcommand: 'search'
repo_filename: '/etc/yum.repos.d/_copr_sssd.repo'
chroot: 'fedora-21-x86_64'
self: <dnf.plugin.dynamic.copr.CoprCommand object at 0x7f3a14cc8b70>
extcmds: ['search', 'sssd']
Comment 1 Lukas Slebodnik 2015-02-16 08:05:05 EST
Created attachment 992168 [details]
File: backtrace
Comment 2 Lukas Slebodnik 2015-02-16 08:05:07 EST
Created attachment 992169 [details]
File: environ
Comment 3 Radek Holy 2015-02-16 09:06:57 EST
It seems like another Python 2/3 incompatibility in the COPR plugin. Mirek, can you please take a look?
Comment 4 Miroslav Suchý 2015-02-16 09:26:00 EST
I will wait untill
  https://github.com/rpm-software-management/dnf-plugins-core/pull/65/
is merged so I can use:
  dnfpluginscore.lib.urlopen()
Comment 5 Miroslav Suchý 2015-03-06 04:00:57 EST
Fixed in:
  * 331fec3  use dnfpluginscore.lib.urlopen() (RhBug:1193047)
Comment 6 Fedora Update System 2015-04-09 10:41:05 EDT
dnf-plugins-core-0.1.6-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.6-3.fc22
Comment 7 Fedora Update System 2015-04-10 14:21:34 EDT
Package dnf-plugins-core-0.1.6-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.6-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5951/dnf-plugins-core-0.1.6-3.fc22
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2015-04-21 15:26:10 EDT
dnf-plugins-core-0.1.6-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.